glibmm: Gio::LoadableIcon Class Reference

# Gio::LoadableIcon Class Reference

Extends the Icon interface and adds the ability to load icons from streams. More...

Inherits Gio::Icon.

Inherited by Gio::FileIcon.

Collaboration diagram for Gio::LoadableIcon:
[legend]

List of all members.

## Public Member Functions
virtual | ~LoadableIcon ()
GLoadableIcon* | gobj ()
| Provides access to the underlying C GObject.
const GLoadableIcon* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< InputStream > | load (int size, Glib::ustring& type, const Glib::RefPtr< Cancellable >& cancellable)
| Loads a loadable icon.
Glib::RefPtr< InputStream > | load (int size, Glib::ustring& type)
| Non-cancellable version of load().
void | load_async (int size, const SlotAsyncReady&slot, const Glib::RefPtr< Cancellable >& cancellable)
| Loads an icon asynchronously.
void | load_async (int size, const SlotAsyncReady&slot)
| Non-cancellable version of load_async().
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::LoadableIcon > | wrap (GLoadableIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Extends the Icon interface and adds the ability to load icons from streams.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::LoadableIcon::~LoadableIcon | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gio::LoadableIcon::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Reimplemented from Gio::Icon.

const GLoadableIcon* Gio::LoadableIcon::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

Reimplemented in Gio::FileIcon.

GLoadableIcon* Gio::LoadableIcon::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::Icon.

Reimplemented in Gio::FileIcon.

Glib::RefPtr<InputStream> Gio::LoadableIcon::load | ( | int | size,
|  | Glib::ustring& | type |
| ) |  |  |

Non-cancellable version of load().

Glib::RefPtr<InputStream> Gio::LoadableIcon::load | ( | int | size,
|  | Glib::ustring& | type,
|  | const Glib::RefPtr< Cancellable >& | cancellable |
| ) |  |  |

Loads a loadable icon.

For the asynchronous version of this function, see load_async().

Parameters:

  | size | an integer.
  | type | a location to store the type of the loaded icon
  | cancellable | a Cancellable object

Returns:
  a InputStream to read the icon from.

void Gio::LoadableIcon::load_async | ( | int | size,
|  | const SlotAsyncReady& | slot |
| ) |  |  |

Non-cancellable version of load_async().

void Gio::LoadableIcon::load_async | ( | int | size,
|  | const SlotAsyncReady& | slot,
|  | const Glib::RefPtr< Cancellable >& | cancellable |
| ) |  |  |

Loads an icon asynchronously.

To finish this function, see load_finish(). For the synchronous, blocking version of this function, see load().

Parameters:

  | size | an integer.
  | cancellable | a Cancellable object
  | slot | a function to call when the request is satisfied

## Friends And Related Function Documentation

Glib::RefPtr< Gio::LoadableIcon > wrap | ( | GLoadableIcon * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- giomm/loadableicon.h